j = Job()
##j.name='ex331.py, athena_lcg_dq2, LYON, DQ2_LOCAL, 5300'
j.application=Athena()

####### Splitter/Merger Configuration
j.splitter=AthenaSplitterJob()
j.splitter.numsubjobs = 3
j.merger=AthenaOutputMerger()

####### Code definition
j.application.user_area = '/afs/cern.ch/user/f/flowerde/gangadir/workspace/Local/AODtoLiverpoolNtuple-00001.tar.gz'
j.application.atlas_release='12.0.6'
j.application.option_file='$HOME/Grid/testarea/AtlasOffline-12.0.6/AODtoLiverpoolNtuple/share/AODtoLiverpoolNtuple_JobOptions.py'

###### Input data
j.inputdata=DQ2Dataset()
j.inputdata.type='DQ2_DOWNLOAD'
#j.inputdata.match_ce=True  #### Takes job to data
j.inputdata.dataset="trig1_misal1_csc11.005144.PythiaZee.recon.AOD.v12000601"
j.inputdata.names=['trig1_misal1_csc11.005144.PythiaZee.recon.AOD.v12000601_tid005998._01999.pool.root.4', 'trig1_misal1_csc11.005144.PythiaZee.recon.AOD.v12000601_tid005998._01998.pool.root.1', 'trig1_misal1_csc11.005144.PythiaZee.recon.AOD.v12000601_tid005998._01997.pool.root.2']

###### Output data
j.outputdata=DQ2OutputDataset()
#j.outputdata.datasetname='' ## look for user.michaelflowerdew.ganga.datasetname
j.outputdata.outputdata=['Ntuple.root']

###### Backend + Submission
j.backend=LCG()
#j.backend.CE='cclcgceli02.in2p3.fr:2119/jobmanager-bqs-short'
#j.backend.CE='hepgrid2.ph.liv.ac.uk:2119/jobmanager-lcgpbs-atlas' #### job failed with no reason given
j.submit()


#### Log
### jobs[75]: Used to create tar file used in j.application.user_area above
### jobs[76]: Submitted to cclcgceli02.in2p3.fr:2119/jobmanager-bqs-short - Still "submitted"
### jobs[77]: No backend specified: Fell over due to DQ2_LOCAL inputdata type
### jobs[78]: Submitted to hepgrid2.ph.liv.ac.uk:2119/jobmanager-lcgpbs-atlas - job failed with reason='None'
### jobs[80]: Submitted using j.inputdata.match_ce=True - All went to one node, Could not load module AODtoLiverpoolNtuple
### jobs[81]: Submitted using DQ2_DOWNLOAD (and no j.inputdata.match_ce=True line) Two could not find command "curl"
										   Two could not load module AODtoLiverpoolNtuple

