# genereated by GANGA4
# Install a user area
#
# ATLAS/ARDA

if [ $SITEROOT != '/afs/cern.ch' ] && [ $CMTSITE != 'CERN' ]
then
  if [ ! -z `echo $ATLAS_RELEASE | grep 11.` ]
  then
      source $SITEROOT/dist/12.0.6/AtlasRelease/*/cmt/setup.sh
  elif [ ! -z `echo $ATLAS_RELEASE | grep 12.` ]
  then
      source $SITEROOT/AtlasOffline/12.0.6/AtlasOfflineRunTime/cmt/setup.sh
  fi
else
  if [ ! -z `echo $ATLAS_RELEASE | grep 11.` ]
  then
      source $SITEROOT/software/dist/12.0.6/Control/AthenaRunTime/*/cmt/setup.sh
  elif [ ! -z `echo $ATLAS_RELEASE | grep 12.` ]
  then
      source $ATLAS_SOFTWARE/$ATLAS_RELEASE/cmtsite/setup.sh 
      export ATLASOFFLINE=`cmt show path | grep AtlasOffline | sed -e ""s:.*path\ ::"" | sed -e ""s:\ from.*::""`
      source $ATLASOFFLINE/AtlasOfflineRunTime/cmt/setup.sh
      RHREL=`cat /etc/redhat-release`
      SC4=`echo $RHREL | grep -c 'Scientific Linux CERN SLC release 4'`
      if [ $SC4 -gt 0 ]; then
        export PATH=/afs/cern.ch/atlas/offline/external/slc3compat/1.0.0/bin/i686-slc3-gcc323/:$PATH
        export LD_LIBRARY_PATH=/afs/cern.ch/atlas/offline/external/slc3compat/1.0.0/bin/i686-slc3-gcc323/:$LD_LIBRARY_PATH
      fi
  fi
fi


export CMTPATH=$PWD:$CMTPATH
dum=`echo $LD_LIBRARY_PATH | tr ':' '
' | egrep -v '^/lib' | egrep -v '^/usr/lib' | tr '
' ':' `
export LD_LIBRARY_PATH=$dum
cmt config
source setup.sh
cmt broadcast cmt config
source setup.sh
if [ 'True' = 'True' ]
then
    cmt broadcast gmake -s
fi
